#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config usr/lib/perl5/5.8.8/i486-linux-thread-multi/perllocal.pod.new
( cd . ; rm -rf :05 )
( cd . ; ln -sf -> :05 )
( cd . ; rm -rf :05 )
( cd . ; ln -sf -> :05 )
